#if !defined(AFX_UNUSEDFILESVIEW_H__CB2C606A_790E_11D3_9C20_00609712FBEF__INCLUDED_)
#define AFX_UNUSEDFILESVIEW_H__CB2C606A_790E_11D3_9C20_00609712FBEF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// UnusedFilesView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CUnusedFilesView view

class CUnusedFilesView : public CListView
{
protected:
	CUnusedFilesView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CUnusedFilesView)

// Attributes
public:

// Operations
public:
	int InsertNode(CNodeDisk *);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUnusedFilesView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CUnusedFilesView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CUnusedFilesView)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UNUSEDFILESVIEW_H__CB2C606A_790E_11D3_9C20_00609712FBEF__INCLUDED_)
